<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="47bf47fa-60fe-47cd-b847-d1ef5f1d5f16" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="10-2CreatingaFrame" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1Ow1mEYloNolMjbbGKquk5OAl6F" />
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../P1C1" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/image" />
      <recent name="$PROJECT_DIR$/src" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/image" />
      <recent name="$PROJECT_DIR$/src" />
      <recent name="$PROJECT_DIR$/src/SizedFrame" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.NotHelloWorld">
    <configuration name="ImageTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="image.ImageTest" />
      <module name="10-2CreatingaFrame" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="image.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="NotHelloWorld" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="notHelloWorld.NotHelloWorld" />
      <module name="10-2CreatingaFrame" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="notHelloWorld.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SimpleFrameTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="CreatingaFrame.SimpleFrameTest" />
      <module name="10-2CreatingaFrame" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="CreatingaFrame.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SizedFrameTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="SizedFrame.SizedFrameTest" />
      <module name="10-2CreatingaFrame" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="SizedFrame.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.NotHelloWorld" />
        <item itemvalue="Application.SizedFrameTest" />
        <item itemvalue="Application.ImageTest" />
        <item itemvalue="Application.SimpleFrameTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="47bf47fa-60fe-47cd-b847-d1ef5f1d5f16" name="Default Changelist" comment="" />
      <created>1564874001505</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1564874001505</updated>
      <workItem from="1564874003208" duration="3822000" />
      <workItem from="1564882065404" duration="10712000" />
      <workItem from="1564934631555" duration="8452000" />
      <workItem from="1565022995446" duration="407000" />
      <workItem from="1565587472385" duration="1179000" />
      <workItem from="1565610112085" duration="1220000" />
      <workItem from="1567126973853" duration="685000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
</project>